Hilfe durchsuchen

Vorsicht vor Support-Betrug: Wir fordern Sie niemals auf, eine Nummer anzurufen, sie per SMS zu kontaktieren oder persönliche Daten preiszugeben. Bitte melden Sie verdächtige Aktivitäten über die Funktion „Missbrauch melden“.

Learn More

Linux Firefox not accepted by online sales websites in Zorin OS and Linux Mint

  • 5 Antworten
  • 0 haben dieses Problem
  • 5 Aufrufe
  • Letzte Antwort von vineyridge

more options

Zorin16-Linux version 99.0 Ubuntu Canonical 1.0, -found in Help/About. Firefox recognition of version below says 91.0. Also have Linux Mint 19.3 (Tricia). Computer 15YO Dell Dimension 900.

I've had no problems with Linux Firefox for many years. I do not use any other Non-Linux OSes. Linux Mint updates Firefox regularly and so do I in that OS. I'm currently in a free version of Zorin which doesn't seem to push out updates, so my Zorin Firefox may be sadly out of date.

At any rate, today in Zorin, when I went to several of the bigger online sales platforms, they refused to accept my Firefox and suggested Chrome, Opera, and Safari; Target suggested Firefox.

Went to Mozilla to try and upgrade, but it didn't offer the Linux browser automatically when it read my computer. I was only offered the Windows browser. This may be because the computer is an old Dell Windows machine that I converted to Linux or it may not. I've never had this happen before.

Yesterday in Linux Mint, in which Firefox is upgraded at least weekly, the same thing happened once with a big online retailer. They said my browser was outdated and unsafe.

What's going on? I'm wondering if Linux OSes are simply not being accepted when the big retailers are doing software upgrades, or is something going on with Firefox?

Zorin16-Linux version 99.0 Ubuntu Canonical 1.0, -found in Help/About. Firefox recognition of version below says 91.0. Also have Linux Mint 19.3 (Tricia). Computer 15YO Dell Dimension 900. I've had no problems with Linux Firefox for many years. I do not use any other Non-Linux OSes. Linux Mint updates Firefox regularly and so do I in that OS. I'm currently in a free version of Zorin which doesn't seem to push out updates, so my Zorin Firefox may be sadly out of date. At any rate, today in Zorin, when I went to several of the bigger online sales platforms, they refused to accept my Firefox and suggested Chrome, Opera, and Safari; Target suggested Firefox. Went to Mozilla to try and upgrade, but it didn't offer the Linux browser automatically when it read my computer. I was only offered the Windows browser. This may be because the computer is an old Dell Windows machine that I converted to Linux or it may not. I've never had this happen before. Yesterday in Linux Mint, in which Firefox is upgraded at least weekly, the same thing happened once with a big online retailer. They said my browser was outdated and unsafe. What's going on? I'm wondering if Linux OSes are simply not being accepted when the big retailers are doing software upgrades, or is something going on with Firefox?

Ausgewählte Lösung

Did you try downloading Firefox from Mozilla? You should also try that version 99 in Safe Mode to confirm that the version is not supported by the sites. https://support.mozilla.org/en-US/kb/diagnose-firefox-issues-using-troubleshoot-mode#w_how-to-start-firefox-in-4troubleshoot-modesf5safe-modesf

Diese Antwort im Kontext lesen 👍 1

Alle Antworten (5)

more options

Help us help you by providing steps to replicate , screenshots, and links to the sites with the issue(s). Is your distro on that version of Firefox? You can download the current version from Mozilla. Just download, unzip, and run firefox-bin. https://www.mozilla.org/en-US/firefox/all/#product-desktop-release

Hilfreich?

more options

I'll do my best. This will be mostly screenshots.

1) www.target.com 2) www.wayfair.com 3) overstock.com

Info on my browser version: 1) From Zorin OS software catalog 2) From my computer's Firefox

Hilfreich?

more options

Ausgewählte Lösung

Did you try downloading Firefox from Mozilla? You should also try that version 99 in Safe Mode to confirm that the version is not supported by the sites. https://support.mozilla.org/en-US/kb/diagnose-firefox-issues-using-troubleshoot-mode#w_how-to-start-firefox-in-4troubleshoot-modesf5safe-modesf

Hilfreich?

more options

Just for kicks, I downloaded version 99 and the site works for me. see screenshot

Hilfreich?

more options

Thank you for your help. I opened Troubleshooting mode in Zorin and everything worked just as it should. Then I remembered that I have the Chameleon add-on in Zorin, and it spoofs identifying information. It was probably spoofing with an outdated browser of some kind, and the websites refused to accept it. So all is well.

Thank you again.

Hilfreich?

Stellen Sie eine Frage

Sie müssen sich mit Ihrem Benutzerkonto anmelden, um auf Beiträge zu antworten. Bitte stellen Sie eine neue Frage, wenn Sie noch kein Benutzerkonto haben.